com.sun.mail.imap.protocol

## Class Status

- java.lang.Object
- - com.sun.mail.imap.protocol.Status

-     public class Status
      extends Object

  STATUS response.
  Author:
    John Mani, Bill Shannon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `highestmodseq`
    `Map<String,Long>` | `items`
    `String` | `mbox`
    `int` | `recent`
    `int` | `total`
    `long` | `uidnext`
    `long` | `uidvalidity`
    `int` | `unseen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Status(Response r)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(Status s1, Status s2)`
    `long` | `getItem(String item)` Get the value for the STATUS item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mbox

          public String mbox

    - #### total

          public int total

    - #### recent

          public int recent

    - #### uidnext

          public long uidnext

    - #### uidvalidity

          public long uidvalidity

    - #### unseen

          public int unseen

    - #### highestmodseq

          public long highestmodseq

    - #### items

          public Map<String,Long> items

  - ### Constructor Detail

    - #### Status

          public Status(Response r)
                 throws ParsingException

      Throws:
        `ParsingException`

  - ### Method Detail

    - #### getItem

          public long getItem(String item)

      Get the value for the STATUS item.
      Parameters:
        `item` - the STATUS item
      Returns:
        the value
      Since:
        JavaMail 1.5.2

    - #### add

          public static void add(Status s1,
                 Status s2)

Copyright © 2016 Oracle. All rights reserved.